Redmine - Feature #10264

Add a check/uncheck all button to search
2012-02-18 00:26 - Jos Accapadi

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.2

Resolution: Fixed

Description

When getting search results, all items are checked. As more plugins are added, it extends the list of search items, where it would be
good to have a clear all to just select the one or two that you want to search vs unchecking all.

Related issues:

Related to Redmine - Feature #8680: Select all modules for search and activities New 2011-06-24

Associated revisions

Revision 17852 - 2019-02-08 10:34 - Go MAEDA
Add a check/uncheck all button to search (#10264).

Patch by Mizuki ISHIKAWA.

Revision 17986 - 2019-03-17 08:08 - Go MAEDA
Merged r17852 from trunk to 4.0-stable (#10264).

History

#1 - 2019-02-03 05:29 - Go MAEDA
- Category set to Ul

Probably we can fulfill this request by adding a green check icon ( toggle_check.png) to check/uncheck checkboxes, that can be seen in many
pages such as Workflow and Permission report.

#2 - 2019-02-05 01:04 - Mizuki ISHIKAWA
- File search.png added
- File other1.png added
- File other2.png added

search.png
By changing like this, a green check icon will be added.

diffdiff

diff --git a/app/views/search/index.html.erb b/app/views/search/index.html.erb

index clee25ce7f..5265681303 100644

-—— a/app/views/search/index.html.erb

+++ b/app/views/search/index.html.erb

@e -11,11 +11,14 @@
<label><%= check_box_tag 'titles_only', 1, @titles_only %> <%= 1(:label_search_titles_only) $%></label>
</p>

—<p id="search-types">

-<% @object_types.each do |t]| %>

—<label><%= check_box_tag t, 1, @scope.include? (t) %> <%= link_to type_label(t), "#" %></label>
-<% end %>

—</p>

+<fieldset class="box">

+ <legend><%= toggle_checkboxes_link ('p#search-types input') %$></legend>

+ <p id="search-types">

+ <% (@object_types.each do [t]| %>
+ <label><%= check_box_tag t, 1, @scope.include?(t) %> <%= link_to type_label(t), "#" %$></label>
+ <% end %>

+ </p>

+</fieldset>

<fieldset class="collapsible collapsed">
<legend onclick="toggleFieldset (this);"><%= 1(:label_options) %></legend>

On other screens, it is label + green check icon,

but | could not think of an appropriate label on this screen.
other1.png
other2.png

#3 - 2019-02-05 07:14 - Marius BALTEANU

- Target version set to Candidate for next minor release

it is a small change and very useful, | propose to add it in a next minor release.

#4 - 2019-02-06 01:07 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.2

Marius BALTEANU wrote:

it is a small change and very useful, | propose to add it in a next minor release.

| agree. Setting the target version to 4.0.2.

#5 - 2019-02-06 14:51 - Go MAEDA

| changed the target version to 4.0.1, but this change may break themes for 4.0 because it changes the structure of HTML (wraps p#search-types with
fieldset.box).

| think 4.1.0 is better.

#6 - 2019-02-08 10:35 - Go MAEDA

- Subject changed from Add clear all to search to Add a check/uncheck all button to search
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thanks.

#7 - 2019-03-15 13:20 - Alexander Meindl

This issue shows target version 4.0.2 and changelog shows it, too. But the related commit currently only exists in trunk. | think, this issue should
changed to target version 4.1.0 (as mentioned in #10264#note-5).

#8 - 2019-03-15 14:51 - Marius BALTEANU
Alexander Meindl wrote:

This issue shows target version 4.0.2 and changelog shows it, too. But the related commit currently only exists in trunk. | think, this issue should
changed to target version 4.1.0 (as mentioned in #10264#note-5).

Indeed, the target version was never changed to 4.1.0. I'm not sure what we should do in this case, | see two options:
- we merge r17852 in 4.0-stable branch and deliver this feature in 4.0.3
- we change the target version to 4.1.0 and that's it.

#9 - 2019-03-15 14:55 - Marius BALTEANU

My recommendation is to deliver this in 4.0.3 (is not such a big change).

#10 - 2019-03-17 08:10 - Go MAEDA

Sorry for my mistake.
| have merged r17852 to 4.0-stable branch and it will be available in 4.0.3.

#11 - 2020-01-13 03:38 - Go MAEDA

- Related to Feature #8680: Select all modules for search and activities added

Files

search.png 40.2 KB 2019-02-04 Mizuki ISHIKAWA
other2.png 12.7 KB 2019-02-05 Mizuki ISHIKAWA
other1.png 28.6 KB 2019-02-05 Mizuki ISHIKAWA
